//--------------------------------------------------------------------------------------------------
//
// Title       : U4 TestBench
// Design      : U21
// Author      : mbari###
// Company     : MBARI
//
//-------------------------------------------------------------------------------------------------
//
// File        : c:\Projects\genosensor\2g\CPLDs\Core\U21\compile\U21_TB.v
// Generated   : Tue Mar  9 07:02:11 2004
// From        : c:\Projects\genosensor\2g\CPLDs\Core\U21\src\U21_TB.bde
// By          : Bde2Verilog ver. 2.01
//
//-------------------------------------------------------------------------------------------------
//
// Description : 
//
//-------------------------------------------------------------------------------------------------

// synopsys translate_off
`ifdef _VCP
`else
`define library(a,b)
`endif
// synopsys translate_on


// ---------- Design Unit Header ---------- //
`timescale 1ns / 1ns

module U4_TB (Enc133FLG,Enc15FLG,FLS1,FLS2,Home1,Home133FLG,Home15FLG,Home2,PhaseA_Encoder1,PhaseB_Encoder1,
RLS1,RLS2,Reset,SCL,SCLinc,SCLreset,Enc133ctrl,Enc15ctrl,Home133ctrl,Home15ctrl) ;

// ------------ Port declarations --------- //
input Enc133FLG;
wire Enc133FLG;
input Enc15FLG;
wire Enc15FLG;
input FLS1;
wire FLS1;
input FLS2;
wire FLS2;
input Home1;
wire Home1;
input Home133FLG;
wire Home133FLG;
input Home15FLG;
wire Home15FLG;
input Home2;
wire Home2;
input PhaseA_Encoder1;
wire PhaseA_Encoder1;
input PhaseB_Encoder1;
wire PhaseB_Encoder1;
input RLS1;
wire RLS1;
input RLS2;
wire RLS2;
input Reset;
wire Reset;
input SCL;
wire SCL;
input SCLinc;
wire SCLinc;
input SCLreset;
wire SCLreset;
output Enc133ctrl;
wire Enc133ctrl;
output Enc15ctrl;
wire Enc15ctrl;
output Home133ctrl;
wire Home133ctrl;
output Home15ctrl;
wire Home15ctrl;

// ----------------- Constants ------------ //
parameter DANGLING_INPUT_CONSTANT = 1'bZ;

// ----------- Signal declarations -------- //
wire AS;
wire Mclk;
wire RD;
wire WR;
wire [7:0] AD;

// ---- Declaration for Dangling inputs ----//
wire Dangling_Input_Signal = DANGLING_INPUT_CONSTANT;

// -------- Component instantiations -------//

U21 U1
(
	.AD(AD),
	.AS(AS),
	.Brake0(Dangling_Input_Signal),
	.Brake1(Dangling_Input_Signal),
	.DIR0(Dangling_Input_Signal),
	.DIR1(Dangling_Input_Signal),
	.Enc033FLG(Dangling_Input_Signal),
	.Enc05FLG(Dangling_Input_Signal),
	.Enc133FLG(Enc133FLG),
	.Enc133ctrl(Enc133ctrl),
	.Enc15FLG(Enc15FLG),
	.Enc15ctrl(Enc15ctrl),
	.FLS0(Dangling_Input_Signal),
	.FLS1(FLS1),
	.GP_Motor0_0(Dangling_Input_Signal),
	.GP_Motor1_0(Dangling_Input_Signal),
	.HSI(Dangling_Input_Signal),
	.Home0(Dangling_Input_Signal),
	.Home033FLG(Dangling_Input_Signal),
	.Home05FLG(Dangling_Input_Signal),
	.Home1(Home1),
	.Home133FLG(Home133FLG),
	.Home133ctrl(Home133ctrl),
	.Home15FLG(Home15FLG),
	.Home15ctrl(Home15ctrl),
	.I2CS({6{Dangling_Input_Signal}}),
	.INTbus(Dangling_Input_Signal),
	.LightSense(Dangling_Input_Signal),
	.MHSO(Dangling_Input_Signal),
	.Mclk(Mclk),
	.PWM1(Dangling_Input_Signal),
	.PWM2(Dangling_Input_Signal),
	.PhaseA_Encoder0(Dangling_Input_Signal),
	.PhaseA_Encoder1(PhaseA_Encoder1),
	.PhaseB_Encoder0(Dangling_Input_Signal),
	.PhaseB_Encoder1(PhaseB_Encoder1),
	.RD(RD),
	.RLS0(Dangling_Input_Signal),
	.RLS1(RLS1),
	.Reset(Reset),
	.SCL(SCL),
	.SCLinc(SCLinc),
	.SCLreset(SCLreset),
	.TXI(Dangling_Input_Signal),
	.WR(WR)
);



MSP U2
(
	.AD(AD),
	.AS(AS),
	.Mclk(Mclk),
	.RD(RD),
	.WR(WR)
);



endmodule 
